<template>
  <div>
    <h1>Daniel Špringl</h1>
    <span>{{ randomSkill }}</span>
    <ul>
      <li>
        <router-link :to="{ name: 'home'}">O mně</router-link>
      </li>
      <li>
        <router-link :to="{ name: 'references'}">Reference</router-link>
      </li>
      <li>
        <router-link :to="{ name: 'services'}">Služby</router-link>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  name: "Header",
  data: function() {
    return {
      skills: [
        "Vývojář webových aplikací",
        "Nadšenec do technologií",
        "Správce firemních systémů",
        "Počítačový guru",
        "Konzultant ve světě IT",
        "Univerzální voják v oblasti IT"
      ],
      randomSkill: ""
    };
  },
  methods: {
    getRandomSkill: function() {
      this.randomSkill = this.skills[
        Math.floor(Math.random() * this.skills.length)
      ];
    }
  },
  created: function() {
    this.getRandomSkill();
  },
  watch: {
    $route() {
      this.getRandomSkill();
    }
  }
};
</script>

<style scoped>
h1 {
  font-size: 54px;
  margin-bottom: 0;
  padding-bottom: 0;
}
h3 {
  margin: 40px 0 0;
}
ul {
  margin-top: 30px;
  color: #636b6f;
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a,
a:active,
a:visited {
  font-size: 16px;
  font-weight: bolder;
  color: #636b6f;
}
a:hover {
  color: #000b6f;
}
@media (max-width: 899px) {
  li {
    display: block;
    padding-top: 10px;
  }
  a,
  a:active,
  a:visited {
    font-size: 24px;
  }
}
</style>
